Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.plaf
Class FontSizeHints

    java.lang.Object
      com.jgoodies.plaf.FontSizeHints

public final class FontSizeHints
extends Object

Describes font size hints used by the JGoodies Windows look&feel; future implementations of the Plastic l&f may use the same hints.

These hints are only applied if the dialog font is Tahoma, which is the default font on the majority of Windows desktops. The hints apply a size delta to increase or decrease the given system font size.

NOTE: This is work in progress and will probably change in the next release, to better reflect the font choice in the J2SE 1.4.1.

Version:
  $Revision: 1.4 $
Author:
  Karsten Lentzsch
See Also:
  `Options.setGlobalFontSizeHints(FontSizeHints)`, `FontUtils`

Field Summary
`static FontSizeHints` | `DEFAULT`
`static FontSizeHints` | `FIXED`
`static FontSizeHints` | `LARGE`
`static FontSizeHints` | `MIXED`
`static FontSizeHints` | `MIXED2`
`static FontSizeHints` | `SMALL`
`static FontSizeHints` | `SYSTEM`

Constructor Summary
`FontSizeHints(int loResMenuFontSize, int loResControlFontSize, int hiResMenuFontSize, int hiResControlFontSize)` Constructs `FontSizeHints` for the specified menu and control fonts, both for low and high resolution environments.

Method Summary
`int` | `controlFontSize()` Returns the control font size.
`float` | `controlFontSizeDelta()` Returns the delta between system control font size and our control font size hint.
`int` | `hiResControlFontSize()` Returns the high resolution control font size.
`int` | `hiResMenuFontSize()` Returns the high resolution menu font size.
`int` | `loResControlFontSize()` Returns the low resolution control font size.
`int` | `loResMenuFontSize()` Returns the low resolution menu font size.
`int` | `menuFontSize()` Returns the menu font size.
`float` | `menuFontSizeDelta()` Returns the delta between the system menu font size and our menu font size hint.
`static FontSizeHints` | `valueOf(String name)` Looksup and returns the `FontSizeHints` for the specified name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LARGE

    public static final FontSizeHints LARGE

### SYSTEM

    public static final FontSizeHints SYSTEM

### MIXED2

    public static final FontSizeHints MIXED2

### MIXED

    public static final FontSizeHints MIXED

### SMALL

    public static final FontSizeHints SMALL

### FIXED

    public static final FontSizeHints FIXED

### DEFAULT

    public static final FontSizeHints DEFAULT

Constructor Detail

### FontSizeHints

    public FontSizeHints(int loResMenuFontSize,
                         int loResControlFontSize,
                         int hiResMenuFontSize,
                         int hiResControlFontSize)

  Constructs `FontSizeHints` for the specified menu and control fonts, both for low and high resolution environments.

Parameters:
  `loResMenuFontSize` - the size of the menu font in low resolution
  `loResControlFontSize` - the size of the control font in low resolution
  `hiResMenuFontSize` - the size of the menu font in low resolution
  `hiResControlFontSize` - the size of the control font in low resolution

Method Detail

### loResMenuFontSize

    public int loResMenuFontSize()

  Returns the low resolution menu font size.

  Returns:
    the size of the menu font in low resolution mode

### loResControlFontSize

    public int loResControlFontSize()

  Returns the low resolution control font size.

  Returns:
    the size of the control font in low resolution mode

### hiResMenuFontSize

    public int hiResMenuFontSize()

  Returns the high resolution menu font size.

  Returns:
    the size of the menu font in high resolution mode

### hiResControlFontSize

    public int hiResControlFontSize()

  Returns the high resolution control font size.

  Returns:
    the size of the control font in high resolution mode

### menuFontSize

    public int menuFontSize()

  Returns the menu font size.

  Returns:
    the size of the menu font in the current resolution

### controlFontSize

    public int controlFontSize()

  Returns the control font size.

  Returns:
    the size of the control font in the current resolution

### menuFontSizeDelta

    public float menuFontSizeDelta()

  Returns the delta between the system menu font size and our menu font size hint.

  Returns:
    the delta between the system menu font size and our menu font size hint

### controlFontSizeDelta

    public float controlFontSizeDelta()

  Returns the delta between system control font size and our control font size hint.

  Returns:
    the delta between the system control font size and our control font size hint

### valueOf

    public static FontSizeHints valueOf(String name)

  Looksup and returns the `FontSizeHints` for the specified name.

  Parameters:
    `name` - the name of the FontSizeHints object
  Returns:
    the associated FontSizeHints object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.